mpb (1.11.1-6build5) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Miriam España Acebal <miriam.espana@canonical.com>  Sun, 26 Jan 2025 11:00:50 +0000

mpb (1.11.1-6build4) plucky; urgency=medium

  * No-change rebuild for openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Dec 2024 21:56:26 +0100

mpb (1.11.1-6build3) plucky; urgency=medium

  * No-change rebuild for openmpi soname change

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 01 Dec 2024 16:16:26 +0000

mpb (1.11.1-6build2) oracular; urgency=medium

  * Rebuild against latest guile-3.0 (LP: #2080919)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 17 Sep 2024 11:54:59 -0400

mpb (1.11.1-6build1) oracular; urgency=medium

  * No-change rebuild against mpi-defaults 1.17

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 30 Aug 2024 17:59:03 +0000

mpb (1.11.1-6) unstable; urgency=medium

  * take care of gcc14 issues (Closes: #1075290)
  * debian/control: bump Standards Version to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 02 Aug 2024 23:17:01 +0200

mpb (1.11.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066421).

 -- Andrey Rakhmatullin <wrar@debian.org>  Thu, 11 Apr 2024 23:13:16 +0500

mpb (1.11.1-5) unstable; urgency=medium

  * debian/control: bump Standards Version to 4.6.1 (no changes)
  * debian/watch: update github watch file

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 14 Dec 2022 22:17:01 +0100

mpb (1.11.1-4) unstable; urgency=medium

  * remove example makefile to allow reproducible build of package
    thanks to Simon McVittie for the patch (CLoses: #993250)
    Autotools build systems are generally not intended to be portable
    between directories or between systems, and this Makefile contains
    absolute paths to the package's build directory and detected absolute
    paths to tools such as grep, making it non-reproducible.
  * debian/control: bump Standards Version to 4.6.0 (no changes)
  * debian/control: add Rules-Requires-Root:

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Sep 2021 22:17:01 +0200

mpb (1.11.1-3) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 06 Jan 2021 22:17:01 +0100

mpb (1.11.1-2) experimental; urgency=medium

  * upload to experimental
  * debian/control: depend on guile-3.0 (Closes: #969687)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 10 Dec 2020 18:17:01 +0100

mpb (1.11.1-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 29 Nov 2020 15:17:01 +0000

mpb (1.10.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump Standards Version to 4.5.0 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 13 Mar 2020 19:42:05 +0100

mpb (1.9.0-2) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 05 Dec 2019 19:57:55 +0000

mpb (1.9.0-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 25 Aug 2019 21:07:55 +0000

mpb (1.8.0-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 May 2019 18:12:46 +0200

mpb (1.7.0-5) sid; urgency=medium

  * debian/control: update Homepage:
  * debian/control: bump Standards Version to 4.3.0 (no changes)
  * debian/copyright: update Upstream-Source:
  * add patch to avoid zdotc on mipsel

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 01 Feb 2019 19:32:14 +0100

mpb (1.7.0-4) unstable; urgency=medium

  * debian/control: build everything on any architecture (Closes: #917947)
  * debian/rules: Pass SH_JOB=/bin/bash to configure (Closes: #915296)
                   - fixes reproducible build on merged-usr vs non-merged
                  Thanks to Andreas Henriksson for the patch.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Jan 2019 11:32:14 +0100

mpb (1.7.0-3) unstable; urgency=medium

  * upload to unstable
  * debian/control: add salsa VCS URLs
  * debian/control: build on any architecture again

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 25 Dec 2018 15:32:14 +0100

mpb (1.7.0-2) experimental; urgency=medium

  * debian/control: depend on guile 2.2 (Closes: #885218)
  * debian/control: depend on libctl >= 4.1.4
                    (this is the first guile 2.2 version)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Nov 2018 19:32:14 +0100

mpb (1.7.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump Standards Version to 4.2.1 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 18 Nov 2018 16:32:14 +0100

mpb (1.6.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump Standards Version to 4.1.5 (no changes)
  * debian/rules: remove get-orig-source

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 Aug 2018 22:06:40 +0200

mpb (1.6.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: use dh11
  * debian/control: bump Standards Version to 4.1.3 (no changes)
  * debian/control: remove dependencies: autotools-dev, dh-autoreconf
  * debian/missing-sources: take some files from libctl
  * debian/docs: NEWS is now NEWS.md
  * debian/mpb-doc.examples: examples are in different directory now
  * debian/rules: remove extra license file in doc package

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 12 Feb 2018 18:13:24 +0100

mpb (1.5-3) unstable; urgency=low

  * don't build package on mipsel (Closes: #846923)
  * debian/control: bump Standards Version to 4.1.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 13 Dec 2017 19:00:00 +0100

mpb (1.5-2) unstable; urgency=low

  * Support hdf5 1.8.13 new packaging layout. (Closes: #756685)
    (patch by Gilles Filippini <pini@debian.org>)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 02 Aug 2014 11:00:00 +0200

mpb (1.5-1) unstable; urgency=low

  * upload to unstable
  * new upstream version (Closes: #743465)
  * debian/control: use guile 2 (Closes: #746008)
  * debian/control: use libctl with guile 2
  * debian/control: bump Standards Version to 3.9.5. (No changes needed).
  * debian/control: depend on dh_autoreconf
  * debian/control: remove obsolete DM-Upload-Allowed:
  * debian/rules: use --with autoreconf

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 02 May 2014 18:00:00 +0200

mpb (1.5~rc1-1) experimental; urgency=low

  * new upstream release
  * must_malloc() stuff from guile is gone (Closes: #642260) (LP: #855044)
  * debian/rules: change --with-libctl to libctl instead of libctl3
		  (LP: 993841) (LP: #993958)
  * debian/control: need dependency on libctl 3.2.1
  * debian/control: switched to dh 9
  * debian/control: bump Standards Version to 3.9.3. (No changes needed).
  * debian/control: use MPI version of hdf5 (LP: #704170)
                    => mpi-default-dev, libhdf5-mpi-dev, libfftw3-mpi-dev

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Nov 2012 18:00:00 +0100

mpb (1.4.2-18) unstable; urgency=low

  * debian/patches/13-hdf5-1.6-api.patch: new patch, enables HDF5 1.6
    compatibility macro definitions. (Closes: #657203)
    patch thankfully created by Sébastien Villemot

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Feb 2012 15:00:00 +0100

mpb (1.4.2-17) unstable; urgency=low

  * debian/control: depend on debhelper >=8
  * debian/control: dependency on dpatch removed
  * debian/control: standards version changed to 3.9.2 (no changes)
  * debian/control: some Build-Depensds dropped (got in with other dependencies)
  * debian/control: Recommends: loop solved
  * debian/rules: build-arch and build-indep according to lintian
                  recommendation added
  * debian/rules: dpatch targets removed
  * debian/README.source: changed from dpatch to quilt
  * debian/source/format: 3.0 (quilt)
  * debian/copyright: changed to DEP5

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 13 Dec 2011 18:00:00 +0100

mpb (1.4.2-16) unstable; urgency=low

  * debian/control: dependency of mpb-mpi corrected
  * debian/control: dependency on libhdf5-seriald-dev added again

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 11 Nov 2010 18:00:00 +0100

mpb (1.4.2-15) unstable; urgency=low

  * debian/control: bump Standards Version to 3.9.1. (No changes needed).
  * debian/control: Conflicts: replaced by Breaks: for mpb-doc
  * debian/control: add dependency on mpi-default-dev (Closes: #571444)
    - this is needed to always depend on a working version of MPI on any
      architecture
    - dependency on libmpich1.0-dev and libhdf5-seriald-dev is not needed
      anymore
    - remove build-conflicts on lam-dev, this is automatically handled by
      mpi-default-dev now

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 28 Jul 2010 19:00:00 +0200

mpb (1.4.2-14) unstable; urgency=low

  * debian/control: bump Standards Version to 3.8.3. (No changes needed).
  * debian/control: add ${misc:Depends} to all targets
  * debian/control: DM-Upload-Allowed added
  * debian/control: dependency on dpatch added
  * changed all modifications in src files to patches
  * debian/rules: patch targets added
  * debian/copyright: copyright refers to GPL-2 instead of GPL now
  * README.source added
  * patch for sh4 support added (Closes: #561446)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 06 Jan 2010 18:00:00 +0100

mpb (1.4.2-13) unstable; urgency=low

  * New Maintainer (Closes: #481040)
  * Bump Standards Version to 3.8.1. (No changes needed).
  * according to request in #518804 mpb must depend on guile-1.8 now
  * debian/control: make dependency of debhelper >=7.2.3 due to
    postinst-has-useless-call-to-install-docs lintian warning

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 14 Apr 2009 20:00:00 +0200

mpb (1.4.2-12) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Move homepage from package descriptions to source. (Closes: #439577).
  * mpb-ctl/Makefile.in remove -s on INSTALL. (Closes: #437585).
  * Minor layout change to debian/copyright layout.
    + Update FSF address.
  * Fix some manpage warnings.
  * Bump Standards Version to 3.8.0. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Fri, 05 Dec 2008 11:06:59 -0500

mpb (1.4.2-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use gfortran, Closes: #468879, #467351
    Thanks Rafael Laboissiere, Kumar Appaiah
  * use binNMU compatigle binary:Version substvar.

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 09 Mar 2008 13:21:16 +0200

mpb (1.4.2-11) unstable; urgency=low

  * New Maintainer (Closes: #393107)
  * watch file
  * fix --host and --build in debian/rules
  * Upstream author in the manpage
  * Changed debhelper and policy version

 -- LoÃ¯c Le Guyader <loic.leguyader@laposte.net>  Sat, 28 Apr 2007 10:03:26 +0200

mpb (1.4.2-10) unstable; urgency=low

  * Orphan package.

 -- Josselin Mouette <joss@debian.org>  Sun, 15 Oct 2006 03:16:43 +0200

mpb (1.4.2-9) unstable; urgency=low

  * Rebuild against libctl 3.
  * Build-depend on it.
  * Use gfortran instead of g77.
  * Standards-version is 3.7.0.

 -- Josselin Mouette <joss@debian.org>  Mon,  1 May 2006 23:32:33 +0200

mpb (1.4.2-8) unstable; urgency=low

  * Rebuild for the C++ transition.
    + Build-depend on latest mpich and hdf5 packages.
  * Standards-version is 3.6.2.

 -- Josselin Mouette <joss@debian.org>  Sat,  3 Sep 2005 17:14:32 +0200

mpb (1.4.2-7) unstable; urgency=low

  * Rebuild against HDF5 1.6.4.
  * Build against atlas3, with a fallback on lapack3.
  * Use the new mpich dependency system.

 -- Josselin Mouette <joss@debian.org>  Sat, 18 Jun 2005 01:26:32 +0200

mpb (1.4.2-6) unstable; urgency=low

  * debian/control: use atlas 2 on architectures where atlas 3 doesn't work.

 -- Josselin Mouette <joss@debian.org>  Mon, 24 May 2004 13:40:05 +0200

mpb (1.4.2-5) unstable; urgency=low

  * Rebuild against HDF5 1.6.2 and atlas 3.
  * Various cleanups in debian/rules.
  * Remove recommendation (closes: #240543).
  * Provide examples in mpb-doc (closes: #243220).

 -- Josselin Mouette <joss@debian.org>  Thu, 13 May 2004 16:30:27 +0200

mpb (1.4.2-4) unstable; urgency=low

  * Rebuild against HDF5 1.6.1.
  * Standards-version is 3.6.1, no changes.
  * Use debian/compat instead of DH_COMPAT.

 -- Josselin Mouette <joss@debian.org>  Tue,  4 Nov 2003 09:28:17 +0100

mpb (1.4.2-3) unstable; urgency=low

  * Rebuild against new hdf5 packages.

 -- Josselin Mouette <joss@debian.org>  Thu, 24 Jul 2003 12:32:18 +0200

mpb (1.4.2-2) unstable; urgency=low

  * Rebuild against HDF5 1.6.0.
  * Now mpb-doc suggests doc-base.
  * Standards-version is 3.6.0.
  * Removed shlibs.local.

 -- Josselin Mouette <joss@debian.org>  Wed, 16 Jul 2003 22:53:01 +0200

mpb (1.4.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: removed unuseful recommends.
  * Build against HDF5 1.4.5, update build-depends accordingly.

 -- Josselin Mouette <joss@debian.org>  Mon, 10 Mar 2003 17:22:39 +0100

mpb (1.4.1-3) unstable; urgency=low

  * Rebuild against Guile 1.6.
  * Build-depend on guile-1.6-dev and libctl-dev 2.2-3.
  * Standards-version 3.5.8.
  * Use debhelper mode 4 and dh_install.
  * Added shlibs.local to prevent duplicate relationship in the
    package's dependencies.
  * Build a mpich version. Please test it !

 -- Josselin Mouette <joss@debian.org>  Wed,  5 Feb 2003 14:30:33 +0100

mpb (1.4.1-2) unstable; urgency=medium

  * Rebuild against HDF 1.4.4, with a build dependency.
  * Add a link to the upstream website.
  * Remove shlibs.local.

 -- Josselin Mouette <joss@debian.org>  Fri, 27 Sep 2002 11:47:32 +0200

mpb (1.4.1-1) unstable; urgency=medium

  * New upstream release, fixes important bugs.
  * Build depend on autotools-dev instead of providing latest config.sub
    and config.guess.
  * mpb-doc recommends libctl-doc.

 -- Josselin Mouette <joss@debian.org>  Tue, 17 Sep 2002 09:55:54 +0200

mpb (1.4-1) unstable; urgency=low

  * New upstream release
  * Build depend on libctl 2.2
  * debian/ rules,control: standards version is now 3.5.7

 -- Josselin Mouette <joss@debian.org>  Fri, 13 Sep 2002 13:54:34 +0200

mpb (1.3-6) unstable; urgency=low

  * debian/rules: forgot to export gcc3 to configure on alphas.

 -- Josselin Mouette <joss@debian.org>  Tue, 30 Apr 2002 00:43:50 +0200

mpb (1.3-5) unstable; urgency=low

  * debian/mpbi.1: minor correction.
  * debian/control: moved mpb-doc to section doc.

 -- Josselin Mouette <joss@debian.org>  Mon, 29 Apr 2002 16:19:38 +0200

mpb (1.3-4) unstable; urgency=low

  * debian/rules: added mpbi, built with inversion symmetry.
  * */Makefile.in: added VPATH for fine building of 2 versions.
  * */Makefile.in: substituted all .. and . with $srcdir and $top_srcdir.
  * Added manpage for mpbi and mpbi-split.
  * debian/control: added build-depends on g77-3.0 for alpha.
  * debian/rules: using gcc 3.0 on alpha.

 -- Josselin Mouette <joss@debian.org>  Mon, 29 Apr 2002 14:12:52 +0200

mpb (1.3-3) unstable; urgency=low

  * Split into mpb and mpb-doc

 -- Josselin Mouette <joss@debian.org>  Thu, 25 Apr 2002 10:38:36 +0200

mpb (1.3-2) unstable; urgency=low

  * debian/control: changed maintainer email.
  * First upload to Debian (closes: #143266, #121171).

 -- Josselin Mouette <joss@debian.org>  Wed, 17 Apr 2002 10:52:40 +0200

mpb (1.3-1) unstable; urgency=low

  * New upstream release

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Tue, 12 Mar 2002 14:07:39 +0100

mpb (1.2.2-2) unstable; urgency=low

  * Corrected build-depends (added g77)

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Mon, 10 Dec 2001 13:33:30 +0100

mpb (1.2.2-1) unstable; urgency=low

  * New upstream release

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Mon, 10 Dec 2001 11:24:32 +0100

mpb (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Tue,  4 Dec 2001 12:43:28 +0100

mpb (1.2-3) unstable; urgency=low

  * Moved HTML doc to /usr/share/doc/mpb/html
  * Added doc-base entry

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Thu, 29 Nov 2001 10:56:50 +0100

mpb (1.2-2) unstable; urgency=low

  * Added manpage for mpb-split

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Tue, 27 Nov 2001 14:33:06 +0100

mpb (1.2-1) unstable; urgency=low

  * New upstream release

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Mon, 19 Nov 2001 13:07:03 +0100

mpb (1.1.1-1) unstable; urgency=low

  * Initial Release.

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Tue, 23 Oct 2001 19:06:26 +0200
